| IDA SDK

Public Attributes | Public Member Functions | Public Types | Classes | List of all members
qlist< T > Class Template Reference

## Detailed Description

template<class T>
class qlist< T >

Linked list Note: linked list is not movable!

## Public Attributes
| __pad0__: cur(x.cur) {} )#define DEFINE_REVERSE_ITERATOR(riter

## Public Member Functions
iter | qlist (void)
| Constructor.
| qlist (const qlist< T > &x)
| Constructor - creates a qlist identical to 'x'.
| ~qlist (void)
| Destructor.
qlist< T > & | operator= (const qlist< T > &x)
| Construct a new qlist using '='.
void | swap (qlist< T > &x)
| Set this = x and x = this, without copying any memory.
iterator | begin (void)
| Get a pointer to the head of the list.
iterator | end (void)
| Get a pointer to the end of the list.
bool | empty (void) const
| Get true if the list has 0 elements.
size_t | size (void) const
| Get the number of elements in the list.
T & | front (void)
| Get the first element in the list.
T & | back (void)
| Get the last element in the list.
const_iterator | begin (void) const
| Get a pointer to the head of the list. More...
const_iterator | end (void) const
| Get a pointer to the end of the list. More...
const T & | front (void) const
| Get the first element in the list. More...
const T & | back (void) const
| Get a pointer to the end of the list. More...
reverse_iterator | rbegin ()
| Get a reverse iterator that points to end of list. See DEFINE_REVERSE_ITERATOR.
reverse_iterator | rend ()
| Get a reverse iterator that points to beginning of list. See DEFINE_REVERSE_ITERATOR.
const_reverse_iterator | rbegin () const
| See rbegin()
const_reverse_iterator | rend () const
| See rend()
iterator | insert (iterator p, const T &x)
| Insert an element into the qlist. More...
iterator | insert (iterator p)
| Insert an empty element into the qlist. More...
template<class it2 >
void | insert (iterator p, it2 first, it2 last)
| Insert all elements between 'first' and 'last' (non-inclusive) at position pointed to by 'p'.
void | push_front (const T &x)
| Insert at beginning of list.
void | push_back (const T &x)
| Insert at end of list.
T & | push_back (void)
| Insert empty element at end of list.
iterator | erase (iterator p)
| Erase element at position pointed to by 'p'.
void | erase (iterator p1, iterator p2)
| Erase all elements between 'p1' and 'p2'.
void | clear (void)
| Erase all elements in the qlist.
void | pop_front (void)
| Erase first element of the qlist.
void | pop_back (void)
| Erase last element of the qlist.
void | splice (iterator pos, qlist< T > &other, iterator first, iterator last)
| Splice a sublist of another list into the current list.
bool | operator== (const qlist< T > &x) const
| Compare two qlists with '=='.
bool | operator!= (const qlist< T > &x) const
| Compare two qlists with !=.

## Public Types
typedef T | value_type

## Member Function Documentation

## ◆ begin()

template<class T >

const_iterator qlist< T >::begin | ( | void |  | ) | const
| inline

Get a pointer to the head of the list.

## ◆ end()

template<class T >

const_iterator qlist< T >::end | ( | void |  | ) | const
| inline

Get a pointer to the end of the list.

## ◆ front()

template<class T >

const T & qlist< T >::front | ( | void |  | ) | const
| inline

Get the first element in the list.

## ◆ back()

template<class T >

const T & qlist< T >::back | ( | void |  | ) | const
| inline

Get a pointer to the end of the list.

## ◆ insert() [1/2]

template<class T >

iterator qlist< T >::insert | ( | iterator | p,
|  | const T & | x
| ) |  |
| inline

Insert an element into the qlist.

Parameters

  p | the position to insert the element
  x | the element to be inserted

Returns
  position of newly inserted element

## ◆ insert() [2/2]

template<class T >

iterator qlist< T >::insert | ( | iterator | p | ) |
| inline

Insert an empty element into the qlist.

Parameters

  p | position to insert the element

Returns
  reference to this new element

The documentation for this class was generated from the following file:

- pro.h